﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Diagnostics;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections;
using Syncfusion.UI.Xaml.Kanban;

namespace Sample1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void SfKanban_CardDragEnd(object sender, Syncfusion.UI.Xaml.Kanban.KanbanDragEndEventArgs e)
        {

        }

        private void SfKanban_CardDragStart(object sender, Syncfusion.UI.Xaml.Kanban.KanbanDragStartEventArgs e)
        {

        }

        private void SfKanban_ColumnsGenerated(object sender, Syncfusion.UI.Xaml.Kanban.KanbanColumnsGeneratedEventArgs e)
        {

        }
    }

    public class CustomKanbanModel
    {
        public string Title
        {
            get;
            set;
        }

        public string Description { get; set; }

        public IList<string> Tags { get; set; }

        public string Status { get; set; }
    }

    public class CustKanbanColumn : KanbanColumn
    {
        public Color BackgroundColor { get; set; }
    }

    class KanbanData
    {
        public KanbanColumnsCollection KanbanColumns { get; set; }

        public ObservableCollection<KanbanModel> ProgramKanbanModels
        {
            get;
            set;
        }

        public KanbanData()
        {
            this.ProgramKanbanModels = this.ItemsSourceCards();
            this.KanbanColumns = new KanbanColumnsCollection();
            this.KanbanColumns.Add(new CustKanbanColumn { Categories = "Open", Title = "Open", MinimumLimit = 1, MaximumLimit = 4, BackgroundColor = Colors.SkyBlue });
            this.KanbanColumns.Add(new CustKanbanColumn { Categories = "InProgress", Title = "In Progress", MinimumLimit = 1, MaximumLimit = 4, BackgroundColor = Colors.Orange });
            this.KanbanColumns.Add(new CustKanbanColumn { Categories = "Closed", Title = "Closed", MinimumLimit = 1, MaximumLimit = 4, BackgroundColor = Colors.LightGray });
        }

        ObservableCollection<KanbanModel> ItemsSourceCards()
        {
            ObservableCollection<KanbanModel> cards = new ObservableCollection<KanbanModel>();

            cards.Add(
                new KanbanModel
                {
                    Title = "Day 1 - Chest & Biceps for Beginners",
                    Category = "Open",
                    Description = "Total Time -42 Sets-42",
                    Tags = new string[] { "Open", "Time", "Sets" },
                });

            cards.Add(
              new KanbanModel
              {
                  Title = "Day 3 - Backs & Triceps for Beginners",
                  Category = "Open",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "Open", "Time", "Sets" }
              });

            cards.Add(
              new KanbanModel
              {
                  Title = "Day 5 - Legs & Shoulders for Beginners",
                  Category = "Open",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "Open", "Time", "Sets" }
              });

            cards.Add(
                  new KanbanModel
                  {
                      Title = "Day 1 - Chest & Biceps for Beginners",
                      Category = "InProgress",
                      Description = "Total Time -42 Sets-42",
                      Tags = new string[] { "InProgress", "Time", "Sets" }
                  });


            cards.Add(
              new KanbanModel
              {
                  Title = "Day 3 - Backs & Triceps for Beginners",
                  Category = "InProgress",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "InProgress", "Time", "Sets" }
              });

            cards.Add(
              new KanbanModel
              {
                  Title = "Day 5 - Legs & Shoulders for Beginners",
                  Category = "InProgress",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "InProgress", "Time", "Sets" }
              });

            cards.Add(
               new KanbanModel
               {
                   Title = "Day 1 - Chest & Biceps for Beginners",
                   Category = "Closed",
                   Description = "Total Time -42 Sets-42",
                   Tags = new string[] { "Closed", "Time", "Sets" }
               });

            cards.Add(
              new KanbanModel
              {
                  Title = "Day 3 - Backs & Triceps for Beginners",
                  Category = "Closed",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "Closed", "Time", "Sets" }
              });

            cards.Add(
              new KanbanModel
              {
                  Title = "Day 5 - Legs & Shoulders for Beginners",
                  Category = "Closed",
                  Description = "Total Time -42 Sets-42",
                  Tags = new string[] { "Closed", "Time", "Sets" }
              });

            return cards;
        }
    }

}
